"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def esx_config(hub, ctx, org: str, sddc: str) -> None:
    """
    **Autogenerated function**
    
    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.sddc.all_access.esx_config(ctx, org=value, sddc=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.sddc.all_access.esx_config org=value, sddc=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="post",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/add-hosts-precheck".format(**{"org": org, "sddc": sddc}),
        query_params={},
        data={}
    )

